#
# spec file for package minetest-game-carbone-ng
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minetest-game-carbone-ng
Version:        0.4.12_20160910
Release:        1.1
Summary:        An Improved Minetest Game
# License for code: LGPLv2.1 or later (or compatible licenses)
# License for media: CC BY-SA 3.0 (or compatible licenses)
License:        LGPL-2.1+ and CC-BY-SA-3.0
Group:          Amusements/Games/3D/Simulation
Url:            https://github.com/Calinou/carbone-ng
Source:         carbone-ng-master.zip
Requires:       minetest >= 0.4.14
BuildRequires:  unzip
BuildRequires:  fdupes
BuildRequires:  dos2unix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Carbone NG (for next generation) is an improved minetest_game. It features many popular mods, renewed textures and improved default settings.

%prep
%setup -q -n carbone-ng-master
# Remove scripts
find . -name "*.sh" -type f -delete
# Dos to Unix
find . -name "*.x" -type f | xargs dos2unix
# Zero length file filling
find . -size 0 -type f | xargs -i sed -i -e '$a\' {}

%build
# Nothing to do

%install
install -dm 0755 %{buildroot}/%{_datadir}/minetest
install -dm 0755 %{buildroot}/%{_datadir}/minetest/games
install -dm 0755 %{buildroot}/%{_datadir}/minetest/games/carbone-ng
chmod -R -x+X ./
cp -R * %{buildroot}/%{_datadir}/minetest/games/carbone-ng/
# Hard link avoid waste of duplicate files
%fdupes %{buildroot}/%{_datadir}/minetest/games/carbone-ng/

%files
%defattr(-,root,root)
%{_datadir}/minetest/

%changelog
* Sat Sep 10 2016 guoyunhebrave@gmail.com
- Version 0.4.12, git 20160910
